import { RuleExecutable } from "../../Common/Execution/RuleExecutable";
import { XExecutionData } from "../../Common/Data/ExecutionData/XExecutionData";
import { XExpressionDefinition } from "../../Expressions/XExpressionDefinition";
import { ITestingContext } from "../../Common/Testing/ITestingContext";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
import { IDesignValidationProvider, ValidationIssue } from "../../Common/IDesignValidationProvider";
export declare class StatementRuleDefinition extends RuleExecutable implements IDesignValidationProvider {
    __id: string;
    expression: XExpressionDefinition;
    set executionResult(res: (() => IDataDefinition) | IDataDefinition);
    get executionResult(): IDataDefinition | (() => IDataDefinition);
    constructor();
    run(data: XExecutionData, testContext?: ITestingContext): any;
    getDesignValidationIssues(): ValidationIssue[];
}
